using NUnit.Framework;

namespace TDUnit.Tests
{
    [TestFixture]
    public class RowElementParserTests : XmlTestDataParserBase
    {
        #region Parse row elements tests

        [Test]
        public void RowCanBeParsed()
        {
            var dataset = GetDataSetForRow("<Row />");
            var ds = Parse(dataset);
            Assert.Greater(ds.Tables[0].Rows.Length, 0);
        }

        [Test]
        public void RowNameCanBeParsed()
        {
            var dataset = GetDataSetForRow("<Row Name='RowName' />");
            var ds = Parse(dataset);
            Assert.AreEqual("RowName", ds.Tables[0].Rows[0].Name);
        }

        #endregion
    }
}